UIPackage
Menu

Framework

Change language

Boilerplate repo

Context Menu

context-menuui

Right-click menu — same primitives as Dropdown Menu but triggered by `contextmenu` events. Drop on any element you want to attach row actions, file-system style operations, or copy/paste menus to.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/context-menu.json
Named registry:npx shadcn-vue@latest add @uipkge/context-menuInstalls to:app/components/ui/context-menu/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
variant
'default''destructive'
defaultoptional
inset
'true''false'
optional

Used by

Files installed (17)

  • app/components/ui/context-menu/ContextMenu.vue0.5 kB
    <script setup lang="ts">
    import type { ContextMenuRootEmits, ContextMenuRootProps } from 'reka-ui'
    import { ContextMenuRoot, useForwardPropsEmits } from 'reka-ui'
    
    const props = defineProps<ContextMenuRootProps>()
    const emits = defineEmits<ContextMenuRootEmits>()
    
    const forwarded = useForwardPropsEmits(props, emits)
    </script>
    
    <template>
      <ContextMenuRoot data-uipkge data-slot="context-menu" v-bind="forwarded">
        <slot />
      </ContextMenuRoot>
    </template>
    
  • app/components/ui/context-menu/ContextMenuCheckboxItem.vue1.5 kB
  • app/components/ui/context-menu/ContextMenuContent.vue1.4 kB
  • app/components/ui/context-menu/ContextMenuGroup.vue0.3 kB
  • app/components/ui/context-menu/ContextMenuItem.vue1.1 kB
  • app/components/ui/context-menu/context-menu-item.variants.ts1.4 kB
  • app/components/ui/context-menu/ContextMenuLabel.vue0.7 kB
  • app/components/ui/context-menu/ContextMenuPortal.vue0.3 kB
  • app/components/ui/context-menu/ContextMenuRadioGroup.vue0.5 kB
  • app/components/ui/context-menu/ContextMenuRadioItem.vue1.5 kB
  • app/components/ui/context-menu/ContextMenuSeparator.vue0.6 kB
  • app/components/ui/context-menu/ContextMenuShortcut.vue0.4 kB
  • app/components/ui/context-menu/ContextMenuSub.vue0.4 kB
  • app/components/ui/context-menu/ContextMenuSubContent.vue1.3 kB
  • app/components/ui/context-menu/ContextMenuSubTrigger.vue1.2 kB
  • app/components/ui/context-menu/ContextMenuTrigger.vue0.4 kB
  • app/components/ui/context-menu/index.ts1.2 kB

Raw manifest:https://uipkge.dev/r/vue/context-menu.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Context Menu

context-menuui

Right-click menu — same primitives as Dropdown Menu but triggered by `contextmenu` events. Drop on any element you want to attach row actions, file-system style operations, or copy/paste menus to.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/context-menu.json
Named registry:npx shadcn@latest add @uipkge-react/context-menuInstalls to:components/ui/context-menu/

Examples

Loading interactive previews…

Used by

Files installed (2)

  • components/ui/context-menu/context-menu.tsx9.6 kB
    'use client'
    
    import * as React from 'react'
    import * as ContextMenuPrimitive from '@radix-ui/react-context-menu'
    import { Check, ChevronRight, Circle } from 'lucide-react'
    import { cn } from '@/lib/utils'
    
    function ContextMenu(props: React.ComponentProps<typeof ContextMenuPrimitive.Root>) {
      return <ContextMenuPrimitive.Root data-uipkge="" data-slot="context-menu" {...props} />
    }
    
    function ContextMenuGroup(props: React.ComponentProps<typeof ContextMenuPrimitive.Group>) {
      return <ContextMenuPrimitive.Group data-uipkge="" data-slot="context-menu-group" {...props} />
    }
    
    function ContextMenuRadioGroup(props: React.ComponentProps<typeof ContextMenuPrimitive.RadioGroup>) {
      return <ContextMenuPrimitive.RadioGroup data-uipkge="" data-slot="context-menu-radio-group" {...props} />
    }
    
    function ContextMenuSub(props: React.ComponentProps<typeof ContextMenuPrimitive.Sub>) {
      return <ContextMenuPrimitive.Sub data-uipkge="" data-slot="context-menu-sub" {...props} />
    }
    
    const ContextMenuPortal = ContextMenuPrimitive.Portal
    
    const ContextMenuTrigger = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.Trigger>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.Trigger>
    >(({ ...props }, ref) => (
      <ContextMenuPrimitive.Trigger ref={ref} data-uipkge="" data-slot="context-menu-trigger" {...props} />
    ))
    ContextMenuTrigger.displayName = ContextMenuPrimitive.Trigger.displayName
    
    const ContextMenuContent = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.Content>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.Content>
    >(({ className, ...props }, ref) => (
      <ContextMenuPrimitive.Portal>
        <ContextMenuPrimitive.Content
          ref={ref}
          data-uipkge=""
          data-slot="context-menu-content"
          className={cn(
            'bg-popover text-popover-foreground data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 z-50 max-h-(--radix-context-menu-content-available-height) min-w-[8rem] overflow-x-hidden overflow-y-auto rounded-md border p-1 shadow-md',
            className,
          )}
          {...props}
        />
      </ContextMenuPrimitive.Portal>
    ))
    ContextMenuContent.displayName = ContextMenuPrimitive.Content.displayName
    
    const ContextMenuItem = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.Item>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.Item> & {
        inset?: boolean
        variant?: 'default' | 'destructive'
      }
    >(({ className, inset, variant = 'default', ...props }, ref) => (
      <ContextMenuPrimitive.Item
        ref={ref}
        data-uipkge=""
        data-slot="context-menu-item"
        data-inset={inset ? '' : undefined}
        data-variant={variant}
        className={cn(
          "focus:bg-accent focus:text-accent-foreground focus-visible:ring-ring data-[variant=destructive]:text-destructive data-[variant=destructive]:focus:bg-destructive/10 dark:data-[variant=destructive]:focus:bg-destructive/40 data-[variant=destructive]:focus:text-destructive data-[variant=destructive]:*:[svg]:!text-destructive [&_svg:not([class*='text-'])]:text-muted-foreground relative flex cursor-default items-center gap-2 rounded-sm px-2 py-1.5 text-sm outline-hidden select-none focus-visible:ring-2 focus-visible:ring-inset data-[disabled]:pointer-events-none data-[disabled]:opacity-50 data-[inset]:pl-8 [&_svg]:pointer-events-none [&_svg]:shrink-0 [&_svg:not([class*='size-'])]:size-4",
          className,
        )}
        {...props}
      />
    ))
    ContextMenuItem.displayName = ContextMenuPrimitive.Item.displayName
    
    const ContextMenuCheckboxItem = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.CheckboxItem>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.CheckboxItem>
    >(({ className, children, checked, ...props }, ref) => (
      <ContextMenuPrimitive.CheckboxItem
        ref={ref}
        data-uipkge=""
        data-slot="context-menu-checkbox-item"
        checked={checked}
        className={cn(
          "focus:bg-accent focus:text-accent-foreground focus-visible:ring-ring relative flex cursor-default items-center gap-2 rounded-sm py-1.5 pr-2 pl-8 text-sm outline-hidden select-none focus-visible:ring-2 focus-visible:ring-inset data-[disabled]:pointer-events-none data-[disabled]:opacity-50 [&_svg]:pointer-events-none [&_svg]:shrink-0 [&_svg:not([class*='size-'])]:size-4",
          className,
        )}
        {...props}
      >
        <span className="pointer-events-none absolute left-2 flex size-3.5 items-center justify-center">
          <ContextMenuPrimitive.ItemIndicator>
            <Check className="size-4" aria-hidden="true" />
          </ContextMenuPrimitive.ItemIndicator>
        </span>
        {children}
      </ContextMenuPrimitive.CheckboxItem>
    ))
    ContextMenuCheckboxItem.displayName = ContextMenuPrimitive.CheckboxItem.displayName
    
    const ContextMenuRadioItem = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.RadioItem>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.RadioItem>
    >(({ className, children, ...props }, ref) => (
      <ContextMenuPrimitive.RadioItem
        ref={ref}
        data-uipkge=""
        data-slot="context-menu-radio-item"
        className={cn(
          "focus:bg-accent focus:text-accent-foreground focus-visible:ring-ring relative flex cursor-default items-center gap-2 rounded-sm py-1.5 pr-2 pl-8 text-sm outline-hidden select-none focus-visible:ring-2 focus-visible:ring-inset data-[disabled]:pointer-events-none data-[disabled]:opacity-50 [&_svg]:pointer-events-none [&_svg]:shrink-0 [&_svg:not([class*='size-'])]:size-4",
          className,
        )}
        {...props}
      >
        <span className="pointer-events-none absolute left-2 flex size-3.5 items-center justify-center">
          <ContextMenuPrimitive.ItemIndicator>
            <Circle className="size-2 fill-current" />
          </ContextMenuPrimitive.ItemIndicator>
        </span>
        {children}
      </ContextMenuPrimitive.RadioItem>
    ))
    ContextMenuRadioItem.displayName = ContextMenuPrimitive.RadioItem.displayName
    
    const ContextMenuLabel = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.Label>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.Label> & { inset?: boolean }
    >(({ className, inset, ...props }, ref) => (
      <ContextMenuPrimitive.Label
        ref={ref}
        data-uipkge=""
        data-slot="context-menu-label"
        data-inset={inset ? '' : undefined}
        className={cn('text-foreground px-2 py-1.5 text-sm font-medium data-[inset]:pl-8', className)}
        {...props}
      />
    ))
    ContextMenuLabel.displayName = ContextMenuPrimitive.Label.displayName
    
    const ContextMenuSeparator = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.Separator>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.Separator>
    >(({ className, ...props }, ref) => (
      <ContextMenuPrimitive.Separator
        ref={ref}
        data-uipkge=""
        data-slot="context-menu-separator"
        className={cn('bg-border -mx-1 my-1 h-px', className)}
        {...props}
      />
    ))
    ContextMenuSeparator.displayName = ContextMenuPrimitive.Separator.displayName
    
    function ContextMenuShortcut({ className, ...props }: React.HTMLAttributes<HTMLSpanElement>) {
      return (
        <span
          data-uipkge=""
          data-slot="context-menu-shortcut"
          className={cn('text-muted-foreground ml-auto text-xs tracking-widest', className)}
          {...props}
        />
      )
    }
    
    const ContextMenuSubTrigger = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.SubTrigger>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.SubTrigger> & { inset?: boolean }
    >(({ className, inset, children, ...props }, ref) => (
      <ContextMenuPrimitive.SubTrigger
        ref={ref}
        data-uipkge=""
        data-slot="context-menu-sub-trigger"
        data-inset={inset ? '' : undefined}
        className={cn(
          "focus:bg-accent focus:text-accent-foreground focus-visible:ring-ring data-[state=open]:bg-accent data-[state=open]:text-accent-foreground flex cursor-default items-center rounded-sm px-2 py-1.5 text-sm outline-hidden select-none focus-visible:ring-2 focus-visible:ring-inset data-[inset]:pl-8 [&_svg]:pointer-events-none [&_svg]:shrink-0 [&_svg:not([class*='size-'])]:size-4",
          className,
        )}
        {...props}
      >
        {children}
        <ChevronRight className="ml-auto" />
      </ContextMenuPrimitive.SubTrigger>
    ))
    ContextMenuSubTrigger.displayName = ContextMenuPrimitive.SubTrigger.displayName
    
    const ContextMenuSubContent = React.forwardRef<
      React.ElementRef<typeof ContextMenuPrimitive.SubContent>,
      React.ComponentPropsWithoutRef<typeof ContextMenuPrimitive.SubContent>
    >(({ className, ...props }, ref) => (
      <ContextMenuPrimitive.SubContent
        ref={ref}
        data-uipkge=""
        data-slot="context-menu-sub-content"
        className={cn(
          'bg-popover text-popover-foreground data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 z-50 min-w-[8rem] origin-(--radix-context-menu-content-transform-origin) overflow-hidden rounded-md border p-1 shadow-lg',
          className,
        )}
        {...props}
      />
    ))
    ContextMenuSubContent.displayName = ContextMenuPrimitive.SubContent.displayName
    
    export {
      ContextMenu,
      ContextMenuTrigger,
      ContextMenuContent,
      ContextMenuGroup,
      ContextMenuItem,
      ContextMenuCheckboxItem,
      ContextMenuRadioGroup,
      ContextMenuRadioItem,
      ContextMenuLabel,
      ContextMenuSeparator,
      ContextMenuShortcut,
      ContextMenuSub,
      ContextMenuSubTrigger,
      ContextMenuSubContent,
      ContextMenuPortal,
    }
    
  • components/ui/context-menu/index.ts0.4 kB

Raw manifest:https://uipkge.dev/r/react/context-menu.json